import { Schema } from '../types/schema';

export const GameSystemsService = {
  // todo - connect to service to save schema for game
  saveSchema: async (schema: Schema) => {
    localStorage.setItem('schema', JSON.stringify(schema));

    return { status: 200 }
  },
  // todo - connect to service to fetch schema for game
  getSchema: async (id: string): Promise<{status: 200 | 404, json: () => Promise<Schema>}> => {
    const schema = localStorage.getItem('schema');

    if (schema)
      return {
        status: 200,
        json: async () => JSON.parse(schema)
      }

    return {
      status: 404,
      json: async () => ({name:'', types: {}})
    }
  }
}